@echo off
prompt $G
call ..\setPath
set classpath=
call ..\setClasspath
set classpath=%classpath%;c:\temp\data
if exist InformationProvider goto build
mkdir InformationProvider
mkdir InformationProvider\WEB-INF
mkdir InformationProvider\WEB-INF\classes
mkdir wsdeployGeneratedFiles
:build
@echo on
javac -d InformationProvider\WEB-INF\classes *.java
copy web.xml InformationProvider\WEB-INF
copy jaxrpc-ri.xml InformationProvider\WEB-INF
jar -cf Info_predeploy.war -C InformationProvider WEB-INF
call wsdeploy -keep -tmpdir wsdeployGeneratedFiles -o Info.war Info_predeploy.war
@echo off
pause
